{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidJourferie }}</div>
{% endblock %}

{% block formulaire %}
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        {% if poForm.cnom is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.cnom, "Nom ", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                <div class="col-sm-10 col-md-10 col-lg-10 col-xs-12">
                    {{ form_widget(poForm.cnom, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %}
<div class="LesChamps">
    <div class="d-flex justify-content-start flex-wrap">
        {% if poForm.icouleur is defined %}
            <div class="form-group d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.icouleur, "Couleur ", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

                <div class="col-sm-4 col-md-5 col-lg-4 col-xs-12">
                    {#{{ form_widget(poForm.icouleur, {'attr': {'class': 'form-control'}}) }}#}
                    <input type='text' id="icouleur_spectrum"/>
                    <input type='hidden' class="form-control" name="fEntityForm_groupes[icouleur]" id="fEntityForm_groupes_icouleur" value="{{ poForm.vars.value.icouleur }}"/>
                    {% do poForm.icouleur.setRendered %}
                    <script>
                        LGSpectrum("#icouleur_spectrum", "#fEntityForm_groupes_icouleur", function (color) {
                            var colorRGB = color.toRgb();
                            var colorI = RGB(colorRGB.r, colorRGB.g, colorRGB.b)
                            $("#fEntityForm_groupes_icouleur").val(colorI);
                        });

                    </script>
                </div>
            </div>
        {% endif %}
    </div>
</div>
</div>
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        {% if poForm.ddate is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.ddate, "Date ", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                <div class="col-xs-12 col-sm-10 col-md-10 col-lg-10">
                    {{ form_widget(poForm.ddate, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %}

        {% if poForm.ddatefin is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                {# Génération du label. #}
                {{ form_label(poForm.ddatefin, "Jusqu'au", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
                <input type="checkbox" id="checkJusquAu" class="col-sm-1 col-lg-1 col-xs-1 col-md-1">
                <div id="dateHidden" class="col-sm-9 col-md-9 col-lg-9 col-xs-11" style="visibility: hidden;">
                    {{ form_widget(poForm.ddatefin, {'attr': {'class': 'form-control'}}) }}
                </div>
            </div>
        {% endif %}
    </div>
    <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
        {% if poForm.creer is defined %}
            {{ form_label(poForm.creer, "créer un jour férié",{'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10 col-xs-12">
                {{ form_widget(poForm.creer, {'attr': {'class': 'form-control'}}) }}
            </div>
        {% endif %}
    </div>
    <div class="col-sm-12 col-lg-12 col-md-12 col-xs-12">
        <p style='text-align: justify;'>
            NB : Seules les périodes d'une seule journée sont considérées comme 
            des jours jours fériés au sens de la convention collective. <br>
            Définir ici des périodes particulières (de plusieurs jours) n'a pour
            objectif que de définir la couleur dans laquelle on souhaite que les
            jours apparaissent sur les plannings. <br>
            Les samedis et dimanches apparaitront en jaune dans tous les cas où
            ils ne sont ni un jour férié, ni une période particulière.
        </p>
    </div>
    <div class="col-sm-12 col-lg-12 col-md-12 col-xs-12">
        <button class="btn-block btn" style="white-space: inherit ! important;">Absence établissement</button>
        <button class="btn-block btn" style="white-space: inherit ! important;">Absence intervenants</button>
        <button class="btn-block btn" style="white-space: inherit ! important;">Absence groupes</button>
        <button class="btn-block btn" style="white-space: inherit ! important;">Absence usagers</button>
        <button class="btn-block btn" style="white-space: inherit ! important;">Détail des absences</button>
        <button class="btn-block btn" style="white-space: inherit ! important;">Créer les jours fériés</button>

    </div>
    <script>
        $('#checkJusquAu').click(function () {
            if ($(this).is(':checked')) {
                $('#dateHidden').css('visibility', 'visible');
            } else {
                $('#dateHidden').css('visibility', 'hidden');
            }
        });
        $(document).ready(function () {
            if ($(this).is(':checked')) {
                $('#dateHidden').css('visibility', 'visible');
            } else {
                $('#dateHidden').css('visibility', 'hidden');
            }
        });
        /* LP 04/09/2020
          plus nécéssaire car deplacé sur menu.html.twig
        //louis 26/06/2019
        var confirmOnLeave = function (msg) {
            window.onbeforeunload = function (e) {
                e = e || window.event;
                msg = msg || '';
                // For IE and Firefox
                if (e) {
                    e.returnValue = msg;
                }
                // For Chrome and Safari
                return msg;
            };
        };
// message de confirmation générique du navigateur
        confirmOnLeave();
// message de confirmation personnalisé
        
//louis 26/06/2019
LP 04/09/2020 fin */
    </script>

{% endblock %}
